import { defineStore, createPinia } from 'pinia'

// 产品线数据管理
export let useStore = defineStore('productLine', {
	state: () => {
		return {
			lineData: [{ show: false, status: 0 }],
			title: '',
			star: false,
			collectData: {} // 收藏返回数据
		}
	}
})

// 订单管理页面
export let useCurrentStore = defineStore('current', {
	state: () => {
		return {
			current: 0
		}
	}
})

// 默认规格数据
export let useSpecStore = defineStore('specData', {
	state: () => {
		return {
			defaultSelect: {} as any, // 数据
			isDefaultSku: false, // 是否存在默认值
			partIds: [] as any,
			partList: [],
			specificationCustom: []
		}
	}
})


